Do I have to upgrade to OS.x 10.11 for my magic mouse 2 to fuction properly !?

Back To Product

Follow this Question

2 Answers from the Community

  • Answer

    The system requirements are a Bluetooth-enabled Mac running OS X 10.11 or later, so you will need to update your software if you are not already on 10.11 or later.

    Was this useful? Answer 1

    1 of 1 people found this useful

  • Yes, Yosemite has complications with the gestures panel showing up, updating to El Capitan or Sierra will fix everything (Free upgrade)

    Was this useful? Answer 2

    0 of 0 people found this useful

Related Questions